Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface IdentifiableType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AdhocQueryType, AssociationType1, AuditableEventType, ClassificationNodeType, ClassificationSchemeType, ClassificationType, ExternalIdentifierType, ExternalLinkType, ExtrinsicObjectType, FederationType, NotificationType, ObjectRefType, OrganizationType, PersonType, RegistryObjectType, RegistryPackageType, RegistryType, ServiceBindingType, ServiceType, SpecificationLinkType, SubscriptionType, UserType

All Known Implementing Classes:
  AdhocQueryTypeImpl, AssociationType1Impl, AuditableEventTypeImpl, ClassificationNodeTypeImpl, ClassificationSchemeTypeImpl, ClassificationTypeImpl, ExternalIdentifierTypeImpl, ExternalLinkTypeImpl, ExtrinsicObjectTypeImpl, FederationTypeImpl, IdentifiableTypeImpl, NotificationTypeImpl, ObjectRefTypeImpl, OrganizationTypeImpl, PersonTypeImpl, RegistryObjectTypeImpl, RegistryPackageTypeImpl, RegistryTypeImpl, ServiceBindingTypeImpl, ServiceTypeImpl, SpecificationLinkTypeImpl, SubscriptionTypeImpl, UserTypeImpl

    public interface IdentifiableType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Identifiable Type'. Common base class for all types that have unique identity.

The following features are supported:

- `Slot`
- `Home`
- `Id`

See Also:
  `RimPackage.getIdentifiableType()`

Method Summary
`java.lang.String` | `getHome()` Returns the value of the 'Home' attribute.
`java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
`org.eclipse.emf.common.util.EList` | `getSlot()` Returns the value of the 'Slot' containment reference list.
`void` | `setHome(java.lang.String value)` Sets the value of the '`Home`' attribute.
`void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSlot

    org.eclipse.emf.common.util.EList getSlot()

  Returns the value of the 'Slot' containment reference list. The list contents are of type `SlotType1`.

  If the meaning of the 'Slot' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' containment reference list.
  See Also:
    `RimPackage.getIdentifiableType_Slot()`

### getHome

    java.lang.String getHome()

  Returns the value of the 'Home' attribute.

  If the meaning of the 'Home' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Home' attribute.
  See Also:
    `setHome(String)`, `RimPackage.getIdentifiableType_Home()`

### setHome

    void setHome(java.lang.String value)

  Sets the value of the '`Home`' attribute.

  Parameters:
    `value` - the new value of the 'Home' attribute.
  See Also:
    `getHome()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `RimPackage.getIdentifiableType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD